Chuyển đến nội dung
Diễn đàn CADViet
whatcholingon

[ Yêu Cầu ] Lisp tạo các Layer cho trước trong một bản vẽ mới

Các bài được khuyến nghị

Các anh ơi cho em hỏi 1 chút là tại sao cái code này nó không chạy đúng ý của em vì em gõ DG1 thì nó cứ nhảy sang nét Ranh đất! , nhờ các anh sửa giúp em để khi gõ DG1 thì nó sẽ nhay sang nét DUONG và khi gõ RD thì nó sẽ nhảy sang Ranh dat (tương tự các nét khác mình tạo) và em có thể vẽ luôn mà không cần phải lựa chọn layer nữa.

(COMMAND "LAYER" "M" "DUONG" "C" "1" "" "L" "Hidden" "" "LW" "0.3" "s" "5" "")  em thêm khoảng cách nét đứt chỗ này sao không được anh nhỉ?

 

 (defun taolop (mau lop / a) (setq a (tblsearch "layer" lop)) 
 (if (null a) (command "layer" "n" lop "c" mau lop "")) (setvar "clayer" lop)
 (princ "\n  Layer_ hien hanh la:  ") (princ lop) (princ) )
--------------------------------------------------------------
(defun c:DG1 () (duong))
(DEFUN duong () (taolop 1 "DUONG")
(COMMAND "LAYER" "M" "DUONG" "C" "1" "" "L" "Hidden" "" "LW" "0.3" "" "")
(setvar "osmode" (+ 1 2 8 32 128)) (command "_.LINE") (princ))
=========================
(defun c:RD () (RANH DAT))
(DEFUN duong () (taolop 1 "RANH DAT")
(COMMAND "LAYER" "M" "RANH DAT" "C" "5" "" "L" "" "" "LW" "0.5" "" "")
(setvar "osmode" (+ 1 2 8 32 128)) (command "_.LINE") (princ))
 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các anh ơi cho em hỏi 1 chút là tại sao cái code này nó không chạy đúng ý của em vì em gõ DG1 thì nó cứ nhảy sang nét Ranh đất! , nhờ các anh sửa giúp em để khi gõ DG1 thì nó sẽ nhay sang nét DUONG và khi gõ RD thì nó sẽ nhảy sang Ranh dat (tương tự các nét khác mình tạo) và em có thể vẽ luôn mà không cần phải lựa chọn layer nữa.

(COMMAND "LAYER" "M" "DUONG" "C" "1" "" "L" "Hidden" "" "LW" "0.3" "s" "5" "")  em thêm khoảng cách nét đứt chỗ này sao không được anh nhỉ?

 

 

 (defun taolop (mau lop / a) (setq a (tblsearch "layer" lop)) 
 (if (null a) (command "layer" "n" lop "c" mau lop "")) (setvar "clayer" lop)
 (princ "\n  Layer_ hien hanh la:  ") (princ lop) (princ) )
--------------------------------------------------------------
(defun c:DG1 () (duong))
(DEFUN duong () (taolop 1 "DUONG")
(COMMAND "LAYER" "M" "DUONG" "C" "1" "" "L" "Hidden" "" "LW" "0.3" "" "")
(setvar "osmode" (+ 1 2 8 32 128)) (command "_.LINE") (princ))
=========================
(defun c:RD () (RANH DAT))
(DEFUN duong () (taolop 1 "RANH DAT")
(COMMAND "LAYER" "M" "RANH DAT" "C" "5" "" "L" "" "" "LW" "0.5" "" "")
(setvar "osmode" (+ 1 2 8 32 128)) (command "_.LINE") (princ))
 

 

 

Bạn đang học lisp? hay là đang viết cho công việc của mình.
  • Code của bạn hãy để ý có 2 (defun duong ...) đó là 2 đoạn hai đoạn khai báo cho cùng một hàm (trùng tên) duong (hàm gọi bằng việc gõ (duong) enter trong command hoặc trong Code) theo nguyên tắc của lisp . "CÁC HÀM NÀO KHAI BÁO SAU ĐƯỢC ƯU TIÊN HƠN HÀM KHAI BÁO TRƯỚC"  nếu vậy thì trong Code của bạn hàm (duong) ben duoi sẽ được gọi ngay cả khi bạn dùng hàm RD1 ở và đương nhiên nó sẽ thực hiện việc gọi layer Ranhdat(xem hàm "duong" bên duoi) đối với cả lệnh (defun c:DG1)
  • Muốn sửa bạn có thể đối tên hàm (duong) thanh (defun duong1().... ) và (defun duong2 () ...) gì đó và nhớ sửa tương ứng trong DG1 và RD
  • Trả lời )  em thêm khoảng cách nét đứt chỗ này sao không được anh nhỉ?  t là vì thế này trong hàm (command "-layer"...) không có phần nào cho phép chỉnh sửa khoảng cách nét đứt(nếu mình hiểu đúng khoảng cách nét đứt theo ý bạn là LTS thì là vậy) bạn buộc phải thủ công sửa lại tỷ lệ LTS nhé
  • Đây là các lựa chọn trong "-layer"
Enter an option 

[?/Make/Set/New/Rename/ON/OFF/Color/Ltype/LWeight/TRansparency/MATerial/Plot/Fre

eze/Thaw/LOck/Unlock/stAte/Description/rEconcile] ở đó hoàn toàn không có mục LTS của bạn nhé

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thực ra là em cũng chỉ sửa chữa trên những thứ có sẵn để phù hợp với công việc của mình, nếu tạo được như vậy thì sau này không cần quan tâm đến layer đã có hay chưa và không cần phải quét đối tượng đưa về layer nữa mà chỉ cần dùng lệnh là vẽ luôn.

thực ra em vẫn đang dùng cái code dưới đây để chuyển, trong đó nó có khoảng cách nét do mình đặt, nhưng mà mình phải MA.

(DEFUN C:DG10(/ cnt enam ent pnt s1 tot v1 val)
(setvar "CMDECHO" 0.000)
(prompt "\nCHON CAC DUONG MUON CHUYEN: ")
   (COMMAND "-LAYER" "m" "DUONG" "color" 1 "" "")(PRINC)  
   (SETQ A (SSGET))
   (COMMAND "CHPROP" A PAUSE "c" "RED" "LA" "DUONG" "lt" "Hidden" "s" "5" "")(princ)
)

 còn cái dưới đây dùng 2 lệnh RD và DG1 là ổn rồi, chỉ có điều khoảng cách hở của nét Hidden trong DG1 (Đường) mình không làm được (có cách nào để có thể thêm khoảng cách không ạ?). mong anh và các chuyên gia giúp em với, cảm ơn các anh rất nhiều!

 

 (defun c:DG1 (/ *error* old_lay) 
(defun *error* (msg)
   (setvar "clayer" old_lay) (princ))
  (setq old_lay (getvar "clayer"))
  (command "_.layer"  "_m" "DUONG DI" "_c" "1" "" "L" "Hidden" "S"  "5" "LW" "0.3" "" "") ;;;"S" "5" không dùng được?
(setvar "osmode" (+ 1 2 8 32 128)) 
(command "_.LINE") (princ))
------------------------
(defun c:RD (/ *error* old_lay) 
(defun *error* (msg)
   (setvar "clayer" old_lay) (princ))
  (setq old_lay (getvar "clayer"))
  (command "_.layer"  "_m" "RANH DAT" "_c" "5" "" "L" "" "" "LW" "0.5" "" "")
(setvar "osmode" (+ 1 2 8 32 128)) 
(command "_.LINE") (princ))
 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

có lẽ vấn đề này rất khó giải quyết, mong các anh cao thủ có cách nào đó giúp em với! vấn đề này em nghĩ sẽ giúp ích được cho rất nhiều người đấy!

Linetype scale không phải là thuộc tính của layer. Nó là thuộc tính của các đối tượng hình học trên bản vẽ. Do đó, không thể đặt Linetype scale cho layer được. Nếu muốn vẽ các đối tượng với 1 Linetype scale định sẵn thì có 2 cách:

- Dùng hàm (command "Ltscale" num). Cái này sẽ thay đổi Linetype scale của tất cả đối tượng trên bản vẽ.

- Dùng lệnh MA để thay đổi Linetype scale của từng nhóm đối tượng được chọn.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cảm ơn anh Ket, gõ lệnh đó như vậy đúng là ổn rồi. em gộp cái CELTSCALE vào trong cái DUONG thì nó báo lỗi ; error: no function definition: C:CELTSCALE (không có định nghĩa chức năng: C: CELTSCALE). em gộp như vậy sai chỗ nào ảnh nhỉ?

 

 (defun C:LDD()
(c:CELTSCALE )
(c:DUONG)
)
(defun c:DUONG (/ *error* old_lay) 
(defun *error* (msg)
   (setvar "clayer" old_lay) (princ))
  (setq old_lay (getvar "clayer"))
  (command "_.layer"  "_m" "DUONG DI" "_c" "1" "" "L" "Hidden" "" "LW" "0.3" "" "") 

(setvar "osmode" (+ 1 2 8 32 128))

(command "_.LINE") (princ))





 

 

 

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

em cũng đang dính trường hợp tương tự , nhưng đi theo chiều hướng khác .

em lại có 1 đống layer dc tạo ra mặc định khi vẽ bằng chương trình thiết kế .

do màu của các layer trùng nhau quá nhiều nên em muốn đổi màu các layer đó đi để quản lý dễ hơn.

các bác fix đoạn code trên hộ em thành đổi màu và nét ( đứt hoặc nét liền ) , linetype scale ( khoảng cách của nét đứt ) .

viết cho em đoạn code mẫu thôi , còn lại em tự phát triển ( vì đang học mót lisp giai đoạn đầu nên chưa biết phần này )

mong các bác giúp đỡ . thank

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
;;; =========================== startup ===========================

Mình có đoạn lisp này, chế lại theo của mình giờ mình muốn nó có thêm tạo nét (hidden, continous...) nữa thì làm thế nào các bạn?

;;; =========================== startup ===========================

(Defun s::startup ()       
                          (command "-UNITS" "2" "5" "1" "2" "0" "N")
                          (setvar "cmdecho" 1)  (command "limits" "" "42000,29700")
                          (setvar "aperture" 5) (setvar "gripsize" 6) (setvar "blipmode" 0)
                          (setvar "savetime" 10) (setvar "mirrtext" 0) (setvar "tracewid" 200)
                          (setvar "surftab1" 16) (setvar "surftab2" 24)(setvar "FILLETRAD" 0)(setvar "OSMODE" 695)
                                (command "-layer" "n" "TB-TUONG" "c" "7" "TB-TUONG" "")
                                (command "-layer" "n" "TB-TRUC" "c" "139" "TB-TRUC" "")
                                (command "-layer" "n" "TB-NETMANH" "c" "188" "TB-NETMANH" "")
                                (command "-layer" "n" "TB-DIM" "c" "251" "TB-DIM" "")
                                (command "-layer" "n" "TB-CUA" "c" "136" "TB-CUA" "")
                                (command "-layer" "n" "TB-TEXT" "c" "253" "TB-TEXT" "")
                                (command "-layer" "n" "TB-KINH" "c" "131" "TB-KINH" "")
                                (command "-layer" "n" "TB-HATCH" "c" "252" "TB-HATCH" "")
                                (command "-layer" "n" "TB-NETKHUAT" "c" "148" "TB-NETKHUAT" "")
                                (command "-layer" "n" "TB-NOITHAT" "c" "146" "TB-NOITHAT" "")
                                (command "-layer" "n" "TB-NOITHAT2" "c" "9" "TB-NOITHAT2" "")
                                (command "-layer" "n" "TB-CAYCOI" "c" "76" "TB-CAYCOI" "")
                                (command "-style" ".VnAvantH" ".VnAvantH" "" "0.8" "" "" "" "")
(princ "\nTPTA REFORM THE FORM !"))
(princ)

gà quá chỉ biết sửa tên với màu thôi :)

;;; =========================== startup ===========================
 
(Defun s::startup ()       
                          (command "-UNITS" "2" "5" "1" "2" "0" "N")
                          (setvar "cmdecho" 1)  (command "limits" "" "42000,29700")
                          (setvar "aperture" 5) (setvar "gripsize" 6) (setvar "blipmode" 0)
                          (setvar "savetime" 10) (setvar "mirrtext" 0) (setvar "tracewid" 200)
                          (setvar "surftab1" 16) (setvar "surftab2" 24)(setvar "FILLETRAD" 0)(setvar "OSMODE" 695)
                                (command "-layer" "n" "TB-TUONG" "c" "7" "TB-TUONG" "")
                                (command "-layer" "n" "TB-TRUC" "c" "139" "TB-TRUC" "")
                                (command "-layer" "n" "TB-NETMANH" "c" "188" "TB-NETMANH" "")
                                (command "-layer" "n" "TB-DIM" "c" "251" "TB-DIM" "")
                                (command "-layer" "n" "TB-CUA" "c" "136" "TB-CUA" "")
                                (command "-layer" "n" "TB-TEXT" "c" "253" "TB-TEXT" "")
                                (command "-layer" "n" "TB-KINH" "c" "131" "TB-KINH" "")
                                (command "-layer" "n" "TB-HATCH" "c" "252" "TB-HATCH" "")
                                (command "-layer" "n" "TB-NETKHUAT" "c" "148" "TB-NETKHUAT" "")
                                (command "-layer" "n" "TB-NOITHAT" "c" "146" "TB-NOITHAT" "")
                                (command "-layer" "n" "TB-NOITHAT2" "c" "9" "TB-NOITHAT2" "")
                                (command "-layer" "n" "TB-CAYCOI" "c" "76" "TB-CAYCOI" "")
                                (command "-style" ".VnAvantH" ".VnAvantH" "" "0.8" "" "" "" "")
(princ "\nTPTA REFORM THE FORM !"))
(princ)
 
;;; =========================== startup ===========================
 
(Defun s::startup ()       
                          (command "-UNITS" "2" "5" "1" "2" "0" "N")
                          (setvar "cmdecho" 1)  (command "limits" "" "42000,29700")
                          (setvar "aperture" 5) (setvar "gripsize" 6) (setvar "blipmode" 0)
                          (setvar "savetime" 10) (setvar "mirrtext" 0) (setvar "tracewid" 200)
                          (setvar "surftab1" 16) (setvar "surftab2" 24)(setvar "FILLETRAD" 0)(setvar "OSMODE" 695)
                                (command "-layer" "n" "TB-TUONG" "c" "7" "TB-TUONG" "")
                                (command "-layer" "n" "TB-TRUC" "c" "139" "TB-TRUC" "")
                                (command "-layer" "n" "TB-NETMANH" "c" "188" "TB-NETMANH" "")
                                (command "-layer" "n" "TB-DIM" "c" "251" "TB-DIM" "")
                                (command "-layer" "n" "TB-CUA" "c" "136" "TB-CUA" "")
                                (command "-layer" "n" "TB-TEXT" "c" "253" "TB-TEXT" "")
                                (command "-layer" "n" "TB-KINH" "c" "131" "TB-KINH" "")
                                (command "-layer" "n" "TB-HATCH" "c" "252" "TB-HATCH" "")
                                (command "-layer" "n" "TB-NETKHUAT" "c" "148" "TB-NETKHUAT" "")
                                (command "-layer" "n" "TB-NOITHAT" "c" "146" "TB-NOITHAT" "")
                                (command "-layer" "n" "TB-NOITHAT2" "c" "9" "TB-NOITHAT2" "")
                                (command "-layer" "n" "TB-CAYCOI" "c" "76" "TB-CAYCOI" "")
                                (command "-style" ".VnAvantH" ".VnAvantH" "" "0.8" "" "" "" "")
(princ "\nTPTA REFORM THE FORM !"))
(princ)
 
;;; =========================== startup ===========================
 
(Defun s::startup ()       
                          (command "-UNITS" "2" "5" "1" "2" "0" "N")
                          (setvar "cmdecho" 1)  (command "limits" "" "42000,29700")
                          (setvar "aperture" 5) (setvar "gripsize" 6) (setvar "blipmode" 0)
                          (setvar "savetime" 10) (setvar "mirrtext" 0) (setvar "tracewid" 200)
                          (setvar "surftab1" 16) (setvar "surftab2" 24)(setvar "FILLETRAD" 0)(setvar "OSMODE" 695)
                                (command "-layer" "n" "TB-TUONG" "c" "7" "TB-TUONG" "")
                                (command "-layer" "n" "TB-TRUC" "c" "139" "TB-TRUC" "")
                                (command "-layer" "n" "TB-NETMANH" "c" "188" "TB-NETMANH" "")
                                (command "-layer" "n" "TB-DIM" "c" "251" "TB-DIM" "")
                                (command "-layer" "n" "TB-CUA" "c" "136" "TB-CUA" "")
                                (command "-layer" "n" "TB-TEXT" "c" "253" "TB-TEXT" "")
                                (command "-layer" "n" "TB-KINH" "c" "131" "TB-KINH" "")
                                (command "-layer" "n" "TB-HATCH" "c" "252" "TB-HATCH" "")
                                (command "-layer" "n" "TB-NETKHUAT" "c" "148" "TB-NETKHUAT" "")
                                (command "-layer" "n" "TB-NOITHAT" "c" "146" "TB-NOITHAT" "")
                                (command "-layer" "n" "TB-NOITHAT2" "c" "9" "TB-NOITHAT2" "")
                                (command "-layer" "n" "TB-CAYCOI" "c" "76" "TB-CAYCOI" "")
                                (command "-style" ".VnAvantH" ".VnAvantH" "" "0.8" "" "" "" "")
(princ "\nTPTA REFORM THE FORM !"))
(princ)
 
;;; =========================== startup ===========================
 
(Defun s::startup ()       
                          (command "-UNITS" "2" "5" "1" "2" "0" "N")
                          (setvar "cmdecho" 1)  (command "limits" "" "42000,29700")
                          (setvar "aperture" 5) (setvar "gripsize" 6) (setvar "blipmode" 0)
                          (setvar "savetime" 10) (setvar "mirrtext" 0) (setvar "tracewid" 200)
                          (setvar "surftab1" 16) (setvar "surftab2" 24)(setvar "FILLETRAD" 0)(setvar "OSMODE" 695)
                                (command "-layer" "n" "TB-TUONG" "c" "7" "TB-TUONG" "")
                                (command "-layer" "n" "TB-TRUC" "c" "139" "TB-TRUC" "")
                                (command "-layer" "n" "TB-NETMANH" "c" "188" "TB-NETMANH" "")
                                (command "-layer" "n" "TB-DIM" "c" "251" "TB-DIM" "")
                                (command "-layer" "n" "TB-CUA" "c" "136" "TB-CUA" "")
                                (command "-layer" "n" "TB-TEXT" "c" "253" "TB-TEXT" "")
                                (command "-layer" "n" "TB-KINH" "c" "131" "TB-KINH" "")
                                (command "-layer" "n" "TB-HATCH" "c" "252" "TB-HATCH" "")
                                (command "-layer" "n" "TB-NETKHUAT" "c" "148" "TB-NETKHUAT" "")
                                (command "-layer" "n" "TB-NOITHAT" "c" "146" "TB-NOITHAT" "")
                                (command "-layer" "n" "TB-NOITHAT2" "c" "9" "TB-NOITHAT2" "")
                                (command "-layer" "n" "TB-CAYCOI" "c" "76" "TB-CAYCOI" "")
                                (command "-style" ".VnAvantH" ".VnAvantH" "" "0.8" "" "" "" "")
(princ "\nTPTA REFORM THE FORM !"))
(princ)
 
 
(Defun s::startup ()       
                          (command "-UNITS" "2" "5" "1" "2" "0" "N")
                          (setvar "cmdecho" 1)  (command "limits" "" "42000,29700")
                          (setvar "aperture" 5) (setvar "gripsize" 6) (setvar "blipmode" 0)
                          (setvar "savetime" 10) (setvar "mirrtext" 0) (setvar "tracewid" 200)
                          (setvar "surftab1" 16) (setvar "surftab2" 24)(setvar "FILLETRAD" 0)(setvar "OSMODE" 695)
                                (command "-layer" "n" "TB-TUONG" "c" "7" "TB-TUONG" "")
                                (command "-layer" "n" "TB-TRUC" "c" "139" "TB-TRUC" "")
                                (command "-layer" "n" "TB-NETMANH" "c" "188" "TB-NETMANH" "")
                                (command "-layer" "n" "TB-DIM" "c" "251" "TB-DIM" "")
                                (command "-layer" "n" "TB-CUA" "c" "136" "TB-CUA" "")
                                (command "-layer" "n" "TB-TEXT" "c" "253" "TB-TEXT" "")
                                (command "-layer" "n" "TB-KINH" "c" "131" "TB-KINH" "")
                                (command "-layer" "n" "TB-HATCH" "c" "252" "TB-HATCH" "")
                                (command "-layer" "n" "TB-NETKHUAT" "c" "148" "TB-NETKHUAT" "")
                                (command "-layer" "n" "TB-NOITHAT" "c" "146" "TB-NOITHAT" "")
                                (command "-layer" "n" "TB-NOITHAT2" "c" "9" "TB-NOITHAT2" "")
                                (command "-layer" "n" "TB-CAYCOI" "c" "76" "TB-CAYCOI" "")
                                (command "-style" ".VnAvantH" ".VnAvantH" "" "0.8" "" "" "" "")
(princ "\nTPTA REFORM THE FORM !"))
(princ)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Để thêm độ dày nét vẽ bạn làm theo cấu trúc sau

(COMMAND "LAYER" "M" "TIM" "C" "8" "" "L" "DASHDOT" "" "LW" "2" "" ""); độ dày nét vẽ 2.00 mm nhé bạn

Làm thế nào để mình không phải tạo name layer trong này trước được không bạn? Như vậy mỗi lần tạo 1 layer mới sẽ phải sửa íp 1 lần. Làm sao để cái chữ "TIM" mình có thể gõ trực tiếp khi tạo layer?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình ít vẽ nhưng cũng nói luôn : nếu ai cố gắng quản lý 100 -> 500 layer, tất cả các bộ môn công trình trên cùng 1 bản vẽ thì đã làm 1 việc cực kỳ ngớ ngẩn (nói thật bạn đừng giận nha ^^)

- Lisp bạn cần trên diễn đàn có hàng nghìn người viết được, nhưng để lên tới 1 con số lớn thế thì tốt nhất bạn dùng file mẫu là hay hơn ^^ Tốc độ load file mẫu chắc chắn nhanh hơn bạn ngồi dùng lisp tạo layer. Và bạn cũng nhớ thêm Layer Filter đôi khi là khởi nguồn của những bản vẽ ... nặng vô cớ

Bạn Ketxu có thể chỉ mình cách nào để chữ KHUAT trong đoạn code sau được gõ trực tiếp ở dòng nhắc được không?

(COMMAND "LAYER" "M" "KHUAT" "C" "9" "" "L" "HIDDEN" "" "")

nó là layer name, nhưng mình muốn mỗi khi tạo layer thì nó sẽ hỏi mình là " Đặt tên cho layer". Khi đó mình sẽ gõ trực tếp tên vào như là: TUONG, NEN, TRAN... Vạy là nó sẽ có 1 layer mới với tên mới.

Thanks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

(COMMAND "LAYER" "M" (getstring "\nNhap ten layer: ") "C" "8" "" "L" "DASHDOT" "" "LW" "2" "" "")

Cảm ơn bạn Doan Van Ha rất rất nhiều nhé. Mình cũng đã thực hiện được ý tưởng của mình nhờ bạn hôm qua rồi.

Quả là 1 ngày làm việc hiệu quả.

Chúc bạn khỏe!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

(COMMAND "LAYER" "M" (getstring "\nNhap ten layer: ") "C" "8" "" "L" "DASHDOT" "" "LW" "2" "" "")

Mình đã làm được, nhưng nó bị mắc 1 cái là khi gõ dấu cách "Space" thì nó như là enter luôn rồi nên mình không viết tên layer cách ra được mà phải viết liền tù tỳ, dính hết vào nhau. Hehe

Giúp mình với.

Tks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái này là lỗi tôi sơ ý. Có 2 cách:

1). Sửa lại:

(COMMAND "LAYER" "M" (getstring T "\nNhap ten layer: ") "C" "8" "" "L" "DASHDOT" "" "LW" "2" "" "")

2). Không cần sửa, nhưng nhập chữ trong dấu 2 ngoặc kép. Ví dụ: "phuong 4 4 e 1".

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình vẫn nhắc học sinh không được đặt tên bất kỳ Style nào có chứa dấu cách. Lý do sau này nếu vướng phải bạn sẽ hiểu ^^

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái này là lỗi tôi sơ ý. Có 2 cách:

1). Sửa lại:

(COMMAND "LAYER" "M" (getstring T "\nNhap ten layer: ") "C" "8" "" "L" "DASHDOT" "" "LW" "2" "" "")

2). Không cần sửa, nhưng nhập chữ trong dấu 2 ngoặc kép. Ví dụ: "phuong 4 4 e 1".

Mình đã làm được.

Thanks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình vẫn nhắc học sinh không được đặt tên bất kỳ Style nào có chứa dấu cách. Lý do sau này nếu vướng phải bạn sẽ hiểu ^^

Thanks!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×